%global srcname cu2qu

Name:           python-%{srcname}
Version:        1.1.1
Release:        1%{?dist}
Summary:        Cubic-to-quadratic bezier curve conversion

# setup.py classifier points to MIT, but the project is licensed under ASL 2.0
# See https://github.com/googlei18n/cu2qu/pull/71
License:        ASL 2.0
URL:            https://pypi.org/project/%{srcname}
Source0:        https://github.com/googlei18n/%{srcname}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
This library provides functions which take in UFO (Unified Font Object) objects
(Defcon Fonts or Robofab RFonts) and converts any cubic curves to quadratic.

%package -n python2-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{srcname}}

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-pytest
BuildRequires:  python2-pytest-runner
BuildRequires:  python2-fonttools
BuildRequires:  python2-ufolib
Requires: python2-fonttools
Requires: python2-ufolib

%description -n python2-%{srcname}
This library provides functions which take in UFO (Unified Font Object) objects
(Defcon Fonts or Robofab RFonts) and converts any cubic curves to quadratic.


%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-runner
BuildRequires:  python3-fonttools
BuildRequires:  python3-ufolib
Requires: python3-fonttools
Requires: python3-ufolib

%description -n python3-%{srcname}
This library provides functions which take in UFO (Unified Font Object) objects
(Defcon Fonts or Robofab RFonts) and converts any cubic curves to quadratic.


%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-%{srcname}
%license LICENSE
%doc README.rst CONTRIBUTING.md
%dir %{python2_sitelib}/%{srcname}
%{python2_sitelib}/%{srcname}-*.egg-info
%{python2_sitelib}/%{srcname}/*.py*
%{python2_sitelib}/%{srcname}/test

%files -n python3-%{srcname}
%license LICENSE
%doc README.rst CONTRIBUTING.md
%dir %{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-*.egg-info
%{python3_sitelib}/%{srcname}/*.py
%{python3_sitelib}/%{srcname}/__pycache__
%{python3_sitelib}/%{srcname}/test

%changelog
* Sun Mar 19 2017 Athos Ribeiro <athoscr@fedoraproject.org> - 1.1.1-1
- Initial package
